BUILD_REVISION = 'build-revision'
PUBLISH_REVISION = 'publish-revision'
REVISION_RESULTS = 'revision-results'
# Potential results of a Jenkins build

SUCCESS = 'SUCCESS'
FAILURE = 'FAILURE'
ABORTED = 'ABORTED'
NOT_BUILT = 'NOT_BUILT'
UNSTABLE = 'UNSTABLE'

JENKINS_BUILD_RESULTS = {ABORTED, FAILURE, NOT_BUILT, SUCCESS, UNSTABLE}


def parse_tags(tag_str):
    if tag_str == '':
        return {}
    try:
        return dict((k, v.split(',')) for k, v in (
            t.split('=', 1) for t in tag_str.split(' ')))
    except ValueError:
        raise BadTagsError('Bad tags: "{}"'.format(tag_str))


class BadTagsError(ValueError):
    """Raised when tags are malformed."""
