from unittest import TestCase

from cidirector.jobs import (
    BadTagsError,
    parse_tags,
    )


__metaclass__ = type


class TestParseTags(TestCase):

    def test_parse_tags(self):
        tags = ('subjects=substrate,cpc function=upgrade substrate=aws'
                ' arch=amd64 series=precise')
        self.assertEqual(parse_tags(tags), {
            'arch': ['amd64'],
            'function': ['upgrade'],
            'series': ['precise'],
            'subjects': ['substrate', 'cpc'],
            'substrate': ['aws'],
            })

    def test_parse_tags_invalid(self):
        with self.assertRaises(BadTagsError):
            parse_tags('foo')

    def test_parse_tags_empty(self):
        self.assertEqual(parse_tags(''), {})
